Open/close conversation
POST
/contact/{identifier}/conversation/status
const url = 'https://api.aelyst.ai/v1/contact/example/conversation/status';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"open"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aelyst.ai/v1/contact/example/conversation/status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "open" }'Update the conversation status to open or close. You can provide the conversation category and summary in the API call along when update the conversation status to close.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”identifier
required
string
Identifier of the contact that can either be a phone number, email or contact ID. Examples: id:123 , email:abdc@gmail.com , phone:+60121233112
Request Body
Section titled “Request Body”Media typeapplication/json
object
status
required
Status of the conversation which can either be open or close
string
category
Optionally provide the closing note name.
string
summary
Optionally provide a summary. Only used if the category is specified.
string
Examples
{ "status": "open"}{ "status": "close", "category": "Spam", "summary": "This contact is a bot"}Responses
Section titled “Responses”Media typeapplication/json
object
contactId
ID of the contact on which the action was performed.
integer
Examplegenerated
{ "contactId": 1}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Validation error."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 404, "message": "Contact not found"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 449, "message": "Your request cannot be processed at the moment as it is currently in queue. Please try again in a few minutes."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}